import request from '@/utils/request'
// 修改订单部件工艺
export function updateOrderPartProcess(data) {
  return request({
    url: '/order/v1/updateOrderPartProcess',
    method: 'post',
    data: data
  })
}
// 修改订单部件参数
export function updateOrderPartInfo(data,inputMemo) {
  return request({
    url: '/order/v1/updateOrderPartInfo?inputMemo='+inputMemo,
    method: 'post',
    data: data
  })
}
// 获取订单部件列表
export function getOrderPartList(data) {
  return request({
    url: '/order/v1/getOrderPartList',
    method: 'post',
    params: data
  })
}

// 修改订单交货日期
export function updateOrderDeliverDate(data) {
  return request({
    url: '/order/v1/updateOrderDeliverDate',
    method: 'post',
    params: data
  })
}
// 修改订单金额
export function updateOrderTotalMoney(data) {
  return request({
    url: '/order/v1/updateOrderTotalMoney',
    method: 'post',
    params: data
  })
}

// 修改订单金额
export function updateOrderBaseInfo(data) {
  return request({
    url: '/order/v1/updateOrderBaseInfo',
    method: 'post',
    params: data
  })
}
// 获取订单部件列表
export function getOrderPartList2(data) {
  return request({
    url: '/order/v1/getOrderPartList2',
    method: 'post',
    params: data
  })
}
